| Cantera 3.0.0

Loading...
Searching...
No Matches
Modules | Classes | Functions
Reactions and Reaction Rates
Chemical Kinetics

Classes for handling reactions and reaction rates. More...

Collaboration diagram for Reactions and Reaction Rates:

## Detailed Description

Classes for handling reactions and reaction rates.

## Modules
| Arrhenius-type Parameterizations
| Classes implementing the standard Arrhenius rate parameterization and derived models.
| Falloff Parameterizations
| Classes implementing fall-off in reaction rate constants due to intermolecular energy transfer and derived models.
| Interface Rate Parameterizations
| Classes implementing reaction rates that involve interfaces.
| Other Reaction Rate Parameterizations
| Classes implementing other reaction rate parameterizations.

## Classes
class | Reaction
| Abstract base class which stores data about a reaction and its rate parameterization so that it can be added to a Kinetics object. More...
class | ThirdBody
| A class for managing third-body efficiencies, including default values. More...
struct | ReactionData
| Data container holding shared data used for ReactionRate calculation. More...
class | ReactionRate
| Abstract base class for reaction rate definitions; this base class is used by user-facing APIs to access reaction rate objects. More...

## Functions
shared_ptr< ReactionRate > | newReactionRate (const string &type)
| Create a new empty ReactionRate object.
shared_ptr< ReactionRate > | newReactionRate (const AnyMap &rate_node, const UnitStack &rate_units)
| Create a new Rate object using the specified parameters.
shared_ptr< ReactionRate > | newReactionRate (const AnyMap &rate_node)
| Create a new Rate object using the specified parameters.

## Function Documentation

## ◆ newReactionRate() [1/3]

shared_ptr< ReactionRate > newReactionRate | ( | const string & | type | ) |

Create a new empty ReactionRate object.

Parameters

  type | string identifying type of reaction rate.

Definition at line 117 of file ReactionRateFactory.cpp.

## ◆ newReactionRate() [2/3]

shared_ptr< ReactionRate > newReactionRate | ( | const AnyMap & | rate_node,
|  | const UnitStack & | rate_units
| ) |  |

Create a new Rate object using the specified parameters.

Parameters

  rate_node | AnyMap node describing reaction rate.
  rate_units | Vector describing unit system of the reaction rate; each element specifies Unit and exponent applied to the unit.

Definition at line 123 of file ReactionRateFactory.cpp.

## ◆ newReactionRate() [3/3]

shared_ptr< ReactionRate > newReactionRate | ( | const AnyMap & | rate_node | ) |

Create a new Rate object using the specified parameters.

Parameters

  rate_node | AnyMap node describing reaction rate.

Definition at line 152 of file ReactionRateFactory.cpp.